[Scipy-tickets] [SciPy] #1180: scipy-0.7.2 does not build with python-2.7

SciPy Trac scipy-tickets@scipy....
Sat Jul 24 02:51:42 CDT 2010


#1180: scipy-0.7.2 does not build with python-2.7
--------------------------+-------------------------------------------------
 Reporter:  bicatali      |       Owner:  cdavid      
     Type:  defect        |      Status:  needs_review
 Priority:  normal        |   Milestone:  0.8.0       
Component:  Build issues  |     Version:  0.7.0       
 Keywords:                |  
--------------------------+-------------------------------------------------
Changes (by fpedregosa):

  * status:  new => needs_review


Comment:

 The problem seems to be that numpy/ndarraytypes.h import inttypes.h, but
 the macros in this file are not accessibly from C++ unless you define the
 variable __STDC_FORMAT_MACROS. My solution was to define this variable in
 the setup.py script. This makes it build fine and test are OK too (ubuntu
 linux 64 bit). I attach the (git) patch.

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1180#comment:8>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list